Bug 21112 - vm.mmap_min_addr warning
: vm.mmap_min_addr warning
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/dosemu)
: unstable
: all Linux
: P3 normal
Assigned To:
:
: https://bugs.launchpad.net/ubuntu/+so...
:
:
:
  Show dependency tree
 
Reported: 2009-08-18 17:40 by
Modified: 2009-11-05 17:13 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-08-18 17:40:49
Ввиду недавних изменений в setup-0.9.8.22-alt1 и как минимум некоторых ядрах
(со временем явно доберутся до всех актуальных) dosemu не сможет работать, если
не выполнить перед его запуском

sysctl -w vm.mmap_min_addr=0

При этом может быть несколько вариантов обеспечения такого поведения:
* фиксация в /etc/sysctl.conf (лучше /etc/sysctl.d/dosemu) для тех систем,
  где dosemu является критичной задачей, а шеллы не предоставляются
  (возможно, заодно стоит прикрутить control);
* запуск перед выполнением {x,}dosemu и возврат исходного значения
  при выполнении от пользователя root;
* вывод предупреждения (возможно, ссылки на страничку вики).
------- Comment #1 From 2009-08-18 17:46:45 -------
В Ubuntu остановились на файлике в /etc/sysctl.d -- в закомментированном по
умолчанию виде согласен, но не следует делать раскритикованное в bug #21075.
------- Comment #2 From 2009-08-18 17:52:06 -------
Предлагаю по крайней мере добавить минимальное предупреждение в обёртку:
http://git.altlinux.org/people/mike/packages/?p=dosemu.git;a=commitdiff;h=80a8f99567af623982db18f06bee76cf388fa855

(ммм... возможно, перестарался насчёт проверки $SUDO, или тогда уже стоит сразу
писать админскую часть?.. -- sudo dosemu же не падает, поскольку ему можно)
------- Comment #3 From 2009-10-19 11:53:31 -------
For QEMU the same problem was fixed by introducing GUEST_BASE option. The idea
is to use an address in host virtual address space as base address in guest
address space. I guess dosemu can be fixed in the same way.
------- Comment #4 From 2009-11-05 13:10:58 -------
Камрады из Debian сообщают, что предупреждение о vm.mmap_min_addr появилось в
svn dosemu в ревизии 1863:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=538432
------- Comment #5 From 2009-11-05 17:13:42 -------
Предупреждение добавлено в 1.4.0.1-alt1.